#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"

int main(void)
{
	ADCSRA |= _BV(ADEN); //wcz ADC
	ADMUX |= _BV(REFS0); //AVCC
	//preskaler 128
	ADCSRA |= _BV(ADPS0)|_BV(ADPS1)|_BV(ADPS2);
	lcdInit();
	lcdInitPrintf();
	while(1)
	{
		ADCSRA |= _BV(ADSC);
		while(ADCSRA & _BV(ADSC));
		lcdGotoXY(0, 0);
		printf("ADC=%04d", ADCW);
		lcdGotoXY(0, 1);
		printf("U=%.3fV", ADCW * 5.0 / 1024);
		_delay_ms(200);
	}
}
